Try the CL2C API
Pick an endpoint, fill in the values, and send a real request with your API key. Use a test key while you explore.
23 endpoints
Full URL
delete
https://developer.taliware.com/api/v1/cl2c/contract/{id}Delete a contract
Deletes a contract by its ID. Only possible while it is not deployed and has no assets.
x-api-key<token>
In: header
Path Parameters
idstring
The ID of the contract to delete
Response Body
curl -X DELETE "https://developer.taliware.com/api/v1/cl2c/contract/string"{
"message": "string",
"deletedContract": {
"id": "string",
"name": "string"
}
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}